Bug 121011 - PHP 4.3.6 update for Fedora Core 2
Summary: PHP 4.3.6 update for Fedora Core 2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: php
Version: 2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: David Lawrence
URL: http://www.php.net/ChangeLog-4.php#4.3.6
Whiteboard:
Depends On:
Blocks: 119214 120513 122460 123580
TreeView+ depends on / blocked
 
Reported: 2004-04-16 05:49 UTC by Robert Scheck
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 4.3.6-5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-06-01 15:32:29 UTC


Attachments (Terms of Use)
Re-enabled config patch for 4.3.6 (4.14 KB, patch)
2004-04-16 05:51 UTC, Robert Scheck
no flags Details | Diff
Re-enabled miscfix patch for 4.3.6 (1.91 KB, patch)
2004-04-16 05:52 UTC, Robert Scheck
no flags Details | Diff
Re-enabled dlopen patch for >= 4.3.5 (872 bytes, patch)
2004-04-16 05:53 UTC, Robert Scheck
no flags Details | Diff

Description Robert Scheck 2004-04-16 05:49:53 UTC
Description of problem:
[15-Apr-2004] The PHP Development Team is proud to announce the 
release of PHP 4.3.6. This is is a bug fix release whose primary 
goal is to address two bugs which may result in crashes in PHP 
builds with thread-safety enabled. All in all this release fixes 
approximately 25 bugs that have been discovered since the 4.3.5 
release.

Version-Release number of selected component (if applicable):
php-4.3.4-11

Actual results:
Patch1:  Can be removed, fixed in php-4.3.5rc1
Patch2:  Has to re-enable (attached php-4.3.6-config.patch)
Patch8:  Has to re-enable (attached php-4.3.6-miscfix.patch)
Patch9:  Can be removed, fixed in php-4.3.5rc1
Patch10: Can be removed, fixed in php-4.3.5rc1
Patch23: Can be removed, fixed in php-4.3.5rc2
Patch30: Has to re-enable (attached php-4.3.5-dlopen.patch)

Expected results:
Please update to PHP 4.3.6 :-)

Comment 1 Robert Scheck 2004-04-16 05:51:51 UTC
Created attachment 99462 [details]
Re-enabled config patch for 4.3.6

Comment 2 Robert Scheck 2004-04-16 05:52:34 UTC
Created attachment 99463 [details]
Re-enabled miscfix patch for 4.3.6

Comment 3 Robert Scheck 2004-04-16 05:53:07 UTC
Created attachment 99464 [details]
Re-enabled dlopen patch for >= 4.3.5

Comment 4 Joe Orton 2004-04-16 15:34:44 UTC
Great stuff, thanks Robert.  Building into Raw Hide now.  I'll do an
FC1 update for this one too.

Comment 5 Joe Orton 2004-04-18 11:24:31 UTC
Actually, this won't show up in Raw Hide for a while, there is a
showstopper in 4.3.[56] which is now being triggered (upstream #27810).
I'm build the fix but it needs more testing.

Comment 6 Robert Scheck 2004-04-20 10:39:56 UTC
I noticed, that the restart executed by logrotate on some systems
kills the httpd, if php 4.3.[56] is used. I still don't know how to
reproduce that breakdown and I don't know what that problem causes.
Even your patch for upstream #27810 doesn't solve it.

Maybe you are able to reproduce and track down this...

So I think, it's really okay that only 4.3.4 is used for FC2 (as it 
seems).

Comment 7 Joe Orton 2004-04-20 11:45:48 UTC
A problem separate from the mod_python issue, I take it?  If the
parent is segfaulting can you get a core dump?

echo "CoreDumpDirectory /tmp" > /etc/httpd/conf.d/core.conf

is sufficient to get a core dump in /tmp with the FC2 httpd package.

Comment 8 Robert Scheck 2004-04-23 09:10:51 UTC
I think it is a separate issue from mod_python, and I attached the 
backtrace from the core dump of the logrotate restart - maybe it
helps...

Comment 9 Robert Scheck 2004-04-23 10:28:32 UTC
--- snipp ---
#0  0x406e5840 in ?? ()
#1  0x08064711 in regex_cleanup ()
#2  0x4016125d in run_cleanups (cref=0x808dd40) at apr_pools.c:1979
#3  0x40160909 in apr_pool_clear (pool=0x808dd30) at apr_pools.c:718
#4  0x08062c52 in main ()
#5  0x42015704 in __libc_start_main () from /lib/tls/libc.so.6
--- snapp ---

Sorry, backtrace is only such short - apr, apr-utils and httpd are
the latest ones.

Comment 10 Joe Orton 2004-04-23 11:06:32 UTC
This is exactly the backtrace you get without the fix I posted on
apache.org/~jorton for upstream #27810.  Are you sure you had the
patch applied?

Comment 11 Robert Scheck 2004-04-23 11:51:09 UTC
Waahh...pleae forget it, I used the wrong (unpatched) binary :-(

Thank you very very much for your help :)

Comment 12 Joe Orton 2004-05-12 14:04:26 UTC
Re-opened for tracking as update to FC2.

Comment 13 Joe Orton 2004-05-24 16:00:24 UTC
php-4.3.6-5 has been issued to the FC2 "testing" repos; please report
results of testing here.

Comment 14 Robert Scheck 2004-05-25 16:14:27 UTC
php-4.3.6-5 works very well here at my computers :)

Comment 15 Joe Orton 2004-06-01 15:32:29 UTC
Thanks for your feedback.

http://www.redhat.com/archives/fedora-announce-list/2004-May/msg00029.html


Note You need to log in before you can comment on or make changes to this bug.